package com.example.bdlive_flutter_viewer.player;

import android.content.Context;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import java.util.Map;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

public class BDLiveFlutterLiveViewFactory extends PlatformViewFactory {
    public static final String VIEW_TYPE_ID = "BdliveViewerPlayerView";

    FlutterPlugin.FlutterPluginBinding binding;
    FlutterLivePlayerManager manager;

    public BDLiveFlutterLiveViewFactory(FlutterPlugin.FlutterPluginBinding binding, FlutterLivePlayerManager manager) {
        super(StandardMessageCodec.INSTANCE);
        this.binding = binding;
        this.manager = manager;
    }

    @NonNull
    @Override
    public PlatformView create(Context context, int viewId, @Nullable Object args) {
        Integer managerId = null;
        // 假设 args 是 Map 类型
        if (args instanceof Map) {
            Map<String, Object> params = (Map<String, Object>) args;
            // 访问自定义参数
            managerId = (Integer) params.get("managerId");
        }
        return new BDLiveFlutterVideoPlatformView(binding, manager, managerId);
    }
}
