package com.example.bdlive_flutter_viewer.player;

import android.view.View;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.plugin.platform.PlatformView;

public class BDLiveFlutterVideoPlatformView implements PlatformView {
    String TAG = getClass().getSimpleName();
    FlutterLivePlayerManager manager;
    Integer managerId;
    FlutterPlugin.FlutterPluginBinding binding;

    public BDLiveFlutterVideoPlatformView(FlutterPlugin.FlutterPluginBinding binding, FlutterLivePlayerManager manager,
                                          Integer managerId) {
        this.binding = binding;
        this.managerId = managerId;
        this.manager = manager;
    }

    @Nullable
    @Override
    public View getView() {
        SingleLiveConnector liveConnector = manager.getLiveConnector(managerId);
        if (liveConnector != null) {
            return liveConnector.getTvuSinglePlayerView();
        } else {
            return new View(binding.getApplicationContext());
        }
    }

    @Override
    public void onFlutterViewAttached(@NonNull View flutterView) {
        PlatformView.super.onFlutterViewAttached(flutterView);
    }

    @Override
    public void onFlutterViewDetached() {
        PlatformView.super.onFlutterViewDetached();
    }

    @Override
    public void dispose() {
    }
}
