package com.example.bdlive_flutter_viewer.player;

import com.example.bdlive_flutter_viewer.vo.BdlActivity;

import java.util.Collection;
import java.util.HashMap;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.plugin.platform.PlatformViewRegistry;

public class FlutterLivePlayerManager {
    HashMap<Integer, SingleLiveConnector> liveConnectorMap = new HashMap<Integer, SingleLiveConnector>();

    FlutterPlugin.FlutterPluginBinding binding;

    public FlutterLivePlayerManager(FlutterPlugin.FlutterPluginBinding binding) {
        this.binding = binding;
        BDLiveFlutterLiveViewFactory bdLiveFlutterVideoViewFactory = new BDLiveFlutterLiveViewFactory(binding, this);
        PlatformViewRegistry registry = binding.getPlatformViewRegistry();
        registry.registerViewFactory(BDLiveFlutterLiveViewFactory.VIEW_TYPE_ID,
                bdLiveFlutterVideoViewFactory);
    }

    public void createLivePlayer(Integer managerId, BdlActivity bdlActivity) {
        if (getLiveConnector(managerId) != null) {
            return;
        }
        SingleLiveConnector vodConnector = new SingleLiveConnector(managerId, bdlActivity, binding,
                this);
        liveConnectorMap.put(managerId, vodConnector);
    }

    public void destroyLivePlayer(Integer managerId) {
        SingleLiveConnector vodConnector = getLiveConnector(managerId);
        if (vodConnector == null) {
            return;
        }
        vodConnector.destroy();
        liveConnectorMap.remove(managerId);
    }

    public SingleLiveConnector getLiveConnector(Integer managerId) {
        return liveConnectorMap.get(managerId);
    }

    public void destroy() {
        Collection<SingleLiveConnector> values = liveConnectorMap.values();
        for (SingleLiveConnector connector : values) {
            if (connector != null) {
                connector.destroy();
            }
        }
        liveConnectorMap.clear();
    }
}
