import 'package:bdlive_flutter_viewer/bdlive_flutter_viewer.dart';
import 'package:bdlive_flutter_viewer_example/feed/feed_list_page.dart';
import 'package:bdlive_flutter_viewer_example/ve_vod/vod_page.dart';
import 'package:flutter/material.dart';

import 'feed/data.dart';
import 'feed/play_page.dart';
import 'setting_activity_page.dart';

class HomePage extends StatelessWidget {
  const HomePage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('首页'),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            ElevatedButton(onPressed: () {
              Navigator.of(context).push(MaterialPageRoute(builder: (context) {
                var data = dataList[0];
                int activityId = data['id'];
                String token = data['token'];
                BdlViewerAuthMode authMode = BdlViewerAuthMode.values[data['mode']];
                BdlViewerPlayerConfig activity = BdlViewerPlayerConfig(
                    activityId: activityId,
                    token: token,
                    authMode: authMode,
                    );

                return PlayerPage(activity: activity);
              }));
            }, child: Text('纯净播放器')),
/*
            ElevatedButton(onPressed: () {
              Navigator.of(context).push(MaterialPageRoute(builder: (context) {
                return VodPage(url: 'https://static.ybhospital.net/test-video-4.mp4',);
              }));
            }, child: Text('vod播放器')),

 */


            SizedBox(height: 20),
            ElevatedButton(onPressed: () {
              Navigator.of(context).push(MaterialPageRoute(builder: (context) {
                return FeedListPage();
              }));
            }, child: Column(
              children: [
                Text('Feed 流'),
              ],
            )),
            SizedBox(height: 20),
            ElevatedButton(onPressed: () {
              Navigator.of(context).push(MaterialPageRoute(builder: (context) {
                return SettingActivityPage();
              }));
            }, child: Text('完整直播间')),
          ],
        ),
      ),
    );
  }
}
