import 'package:bdlive_flutter_viewer/bdlive_flutter_viewer.dart';
import 'package:flutter/material.dart';

class ProductDetailPage extends StatefulWidget {
  static bool pageIsExist = false;

  final BdlActivityConfig activity;
  final String url;
  final BdlViewerOpenUrlType type;
  final bool enableFloating;
  bool isShowBackArrow;

  ProductDetailPage(
      {super.key,
      required this.activity,
      required this.url,
      required this.type,
      required this.enableFloating,
      this.isShowBackArrow = true});

  @override
  State<ProductDetailPage> createState() => _ProductDetailPageState();
}

class _ProductDetailPageState extends State<ProductDetailPage> {
  bool isShowExitDetailButtonFlag = true;

  @override
  void dispose() {
    super.dispose();

    ProductDetailPage.pageIsExist = false;
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Product Detail Page'),
        automaticallyImplyLeading: widget
            .isShowBackArrow, // false: Remove the back arrow from the appBar
      ),
      body: WillPopScope(
        onWillPop: () async => widget.isShowBackArrow,
        // false: Disable the back gesture
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text('url: ${widget.url}'),
              Text('type: ${widget.type}'),
              Text('enableFloating: ${widget.enableFloating}'),
              const SizedBox(
                height: 20,
              ),
              if (isShowExitDetailButtonFlag) ...[
                ElevatedButton(
                  onPressed: () {
                    print("onPressed--");
                    BdliveViewerApi.instance.enterLiveRoom(widget.activity);
                    Navigator.of(context).pop();
                    ProductDetailPage.pageIsExist = false;
                  },
                  child: Text('Exit Detail Page and Return to Live Room'),
                ),
                const SizedBox(
                  height: 20,
                ),
                ElevatedButton(
                  onPressed: () {
                    print("onPressed--");
                    setState(() {
                      isShowExitDetailButtonFlag = false;
                      widget.isShowBackArrow = true;
                    });
                    BdliveViewerApi.instance.leaveLiveRoom();
                  },
                  child: Text('Exit Live Room'),
                ),
              ],
            ],
          ),
        ),
      ),
    );
  }
}
