
import 'dart:io';

import 'package:ve_vod/ve_vod.dart';

class VodUtil {

  // Platform messages are asynchronous, so we initialize in an async method.
  static Future<void> initPlatformState(Map<String, dynamic> map) async {

    String _appID = map['appID'];
    String channel = map['channel'];
    String appVersion = map['appVersion'];
    String appName = map['appName'];
    String licPath = map['vodLicenseFilePath'];

    // open log module
    await FlutterTTSDKManager.openAllLog();

    // regist log callback
    TTFLogger.onLog = (logLevel, msg) {
      print(msg);
    };

    // please replace it with current channel, example "App Store" for iOS
    TTSDKVodConfiguration vodConfig = TTSDKVodConfiguration();
    vodConfig.cacheMaxSize = 300 * 1024 * 1024;
    TTSDKConfiguration sdkConfig = TTSDKConfiguration.defaultConfigurationWithAppIDAndLicPath(
        appID: _appID, licenseFilePath: licPath, channel: channel);
    sdkConfig.vodConfiguration = vodConfig;
    sdkConfig.appName = appName;
    sdkConfig.appVersion = appVersion;
    FlutterTTSDKManager.startWithConfiguration(sdkConfig);
    // deviceID
    // FlutterTTSDKManager.setCurrentUserUniqueID('test_1234');
    // String? uniqueID = await FlutterTTSDKManager.getCurrentUserUniqueID();
    // String? deviceID = await FlutterTTSDKManager.getDeviceID();
    // String? engineUniqueId = await FlutterTTSDKManager.getEngineUniqueId();
    // print("TTF -- uniqueId:$uniqueID deviceId:$deviceID engineUniqueId:$engineUniqueId");
  }


}