//
//  BdliveViewerViewFactory.m
// 
//   BDLive SDK License
//   
//   Copyright 2024 Beijing Volcano Engine Technology Ltd. All Rights Reserved.
//   
//   The BDLive SDK was developed by Beijing Volcanoengine Technology Ltd. (hereinafter “Volcano Engine”). 
//   Any copyright or patent right is owned by and proprietary material of the Volcano Engine. 
//   
//   BDLive SDK is available under the VolcLive product and licensed under the commercial license. 
//   Customers can contact service@volcengine.com for commercial licensing options. 
//   Here is also a link to subscription services agreement: https://www.volcengine.com/docs/6256/68938.
//   
//   Without Volcanoengine's prior written permission, any use of BDLive SDK, in particular any use for commercial purposes, is prohibited. 
//   This includes, without limitation, incorporation in a commercial product, use in a commercial service, or production of other artefacts for commercial purposes. 
//   
//   Without Volcanoengine's prior written permission, the BDLive SDK may not be reproduced, modified and/or made available in any form to any third party. 
//

#import "BdliveViewerViewFactory.h"


static NSMapTable<NSNumber *, BdliveFlutterViewerPlayer *> *playerMap;

@implementation BdliveViewerViewFactory

- (void)addPlayer:(BdliveFlutterViewerPlayer *)player instanceId:(int64_t)instanceId {
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        playerMap = [NSMapTable weakToWeakObjectsMapTable];
    });
    [playerMap setObject:player forKey:@(instanceId)];
}

- (NSObject<FlutterPlatformView> *)createWithFrame:(CGRect)frame viewIdentifier:(int64_t)viewId arguments:(id)args {
    BdliveFlutterViewerPlayer *player = [playerMap objectForKey:args[@"managerId"]];
    player.view.frame = frame;
    return player;
}

- (NSObject<FlutterMessageCodec>*)createArgsCodec {
    return [FlutterStandardMessageCodec sharedInstance];
}

- (void)removePlayerForInstanceId:(int64_t)instanceId {
    [playerMap removeObjectForKey:@(instanceId)];
}

@end
