//
//  BdliveFlutterViewerPlayerDelegate.h
// 
//   BDLive SDK License
//   
//   Copyright 2024 Beijing Volcano Engine Technology Ltd. All Rights Reserved.
//   
//   The BDLive SDK was developed by Beijing Volcanoengine Technology Ltd. (hereinafter “Volcano Engine”). 
//   Any copyright or patent right is owned by and proprietary material of the Volcano Engine. 
//   
//   BDLive SDK is available under the VolcLive product and licensed under the commercial license. 
//   Customers can contact service@volcengine.com for commercial licensing options. 
//   Here is also a link to subscription services agreement: https://www.volcengine.com/docs/6256/68938.
//   
//   Without Volcanoengine's prior written permission, any use of BDLive SDK, in particular any use for commercial purposes, is prohibited. 
//   This includes, without limitation, incorporation in a commercial product, use in a commercial service, or production of other artefacts for commercial purposes. 
//   
//   Without Volcanoengine's prior written permission, the BDLive SDK may not be reproduced, modified and/or made available in any form to any third party. 
//

#import "BdliveFlutterStreamHandler.h"

#import <BDLive/BDLive.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, BdliveFlutterViewerPlayerPlayableStatus) {
    BdliveFlutterViewerPlayerPlayableStatusUnknown = 0, ///< 当前无任何资源可播放，无法调用 play 方法。
    BdliveFlutterViewerPlayerPlayableStatusVodCanPlay, ///< 当前有点播视频可播放，可以调用 play 方法播放视频。
    BdliveFlutterViewerPlayerPlayableStatusLiveCanPlay, ///< 当前有直播可播放，可以调用 play 方法播放视频。
    
};

@interface BdliveFlutterViewerPlayerDelegate : BdliveFlutterEventHandler <BDLBasePlayerViewDelegate>

- (void)notifyPlayableStatusChange:(BdliveFlutterViewerPlayerPlayableStatus)playableStatus;

- (void)notifyVodPlayTimeChange:(int)curTimeInMills;

- (void)notifyLiveRoomStatusChange;

@end

NS_ASSUME_NONNULL_END
