


import 'dart:collection';

import 'package:flutter/services.dart';

import '../src/bdlive_viewer_manager_impl.dart';

class TTSDKConfiguration {
  final String appID; // appID, Not empty, required
  final String liveLicenseFilePath; // Not empty, required, Live license local file path
  final String vodLicenseFilePath; // Not empty, required, VOD license local file path
  String? bundleID; // Unique ID of iOS App
  String? appName; // App name
  String? channel; // App channel name
  String? appVersion; // The version number of the app. A valid version number should contain 2 or more separators, for example 1.3.2

  TTSDKConfiguration({
    required this.appID,
    required this.liveLicenseFilePath,
    required this.vodLicenseFilePath,
    this.bundleID,
    this.appName,
    this.channel,
    this.appVersion,
  });

  Map<String, dynamic> toMap() {
    HashMap<String, dynamic> dic = HashMap();
    dic['appID'] = appID;
    dic['liveLicenseFilePath'] = liveLicenseFilePath;
    dic['vodLicenseFilePath'] = vodLicenseFilePath;
    if (bundleID != null) {
      dic['bundleID'] = bundleID;
    }
    if (appName != null) {
      dic['appName'] = appName;
    }
    if (channel != null) {
      dic['channel'] = channel;
    }
    if (appVersion != null) {
      dic['appVersion'] = appVersion;
    }
    return dic;
  }
}

abstract class BdliveViewerManager {
  static Future<void> startWithConfiguration(TTSDKConfiguration config) => BdliveViewerManagerImpl.startWithConfiguration(config);
}
