import 'package:flutter/foundation.dart';
import '../../api/bdlive_model.dart';

E _convertEnumValue<E>(List<E> values, int? idx, E defaultValue) {
  if (idx == null || idx >= values.length || idx < 0) {
    debugPrint('Vod: Enum ($E) unknown value $idx');
    return defaultValue;
  }
  return values[idx];
}

extension LiveTypeValue on int? {
  BdLiveRoomStatus get liveRoomStatus {
    return _convertEnumValue(BdLiveRoomStatus.values, this, BdLiveRoomStatus.unknown);
  }
  BdlivePlayableStatus get playableStatus {
    return _convertEnumValue(BdlivePlayableStatus.values, this, BdlivePlayableStatus.unknown);
  }
  BdlivePlayerLayoutMode get playerLayoutMode {
    return _convertEnumValue(BdlivePlayerLayoutMode.values, this, BdlivePlayerLayoutMode.aspectFit);
  }
  BdliveForceOfflineReason get forceOfflineReason {
    return _convertEnumValue(BdliveForceOfflineReason.values, this, BdliveForceOfflineReason.multiLogin);
  }
  BdliveVideoResolution get videoResolution  {
    return _convertEnumValue(BdliveVideoResolution.values, this, BdliveVideoResolution.unknown);
  }
}
